[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SendInteger

Send the value of an integer variable.

## Declaration

Source position: dbugintf.pp line 27

`procedure SendInteger(`
`const Identifier: string;`
`const Value: Integer;`
`HexNotation: Boolean = False`
`);`

## Arguments

`Identifier` |  | Name of the integer variable
`Value` |  | The actual value
`HexNotation` |  | Format integer using hexadecimal notation

## Description

SendInteger is a simple wrapper around SendDebug which sends the name and value of an integer value as an informational message. If HexNotation is True, then the value will be displayed using hexadecimal notation.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
SendBoolean |  | Send the value of a boolean variable
SendDateTime |  | Send the value of a TDateTime variable.
SendPointer |  | Send the value of a pointer variable.

Documentation generated on: Feb 26 2014